osgManipulator::Scale2DDragger Class Reference

`#include <Scale2DDragger>`

Inheritance diagram for osgManipulator::Scale2DDragger:

## Public Types

enum | ScaleMode { SCALE_WITH_ORIGIN_AS_PIVOT = 0 , SCALE_WITH_OPPOSITE_HANDLE_AS_PIVOT }
Public Types inherited from osgManipulator::Dragger
typedef std::vector< osg::ref_ptr< Constraint > > | Constraints
typedef std::vector< osg::ref_ptr< DraggerCallback > > | DraggerCallbacks
Public Types inherited from osg::Transform
enum | ReferenceFrame { RELATIVE_RF , ABSOLUTE_RF , ABSOLUTE_RF_INHERIT_VIEWPOINT }
Public Types inherited from osg::Node
typedef std::vector< Group * > | ParentList
typedef unsigned int | NodeMask
typedef std::vector< std::string > | DescriptionList
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| Scale2DDragger (ScaleMode scaleMode=SCALE_WITH_ORIGIN_AS_PIVOT)
| META_OSGMANIPULATOR_Object (osgManipulator, Scale2DDragger) virtual bool handle(const PointerInfo &pi
void | setupDefaultGeometry ()
void | setMinScale (const osg::Vec2d &min)
const osg::Vec2d & | getMinScale () const
void | setColor (const osg::Vec4 &color)
const osg::Vec4 & | getColor () const
void | setPickColor (const osg::Vec4 &color)
const osg::Vec4 & | getPickColor () const
void | setTopLeftHandleNode (osg::Node &node)
osg::Node * | getTopLeftHandleNode ()
const osg::Node * | getTopLeftHandleNode () const
void | setBottomLeftHandleNode (osg::Node &node)
osg::Node * | getBottomLeftHandleNode ()
const osg::Node * | getBottomLeftHandleNode () const
void | setTopRightHandleNode (osg::Node &node)
osg::Node * | getTopRightHandleNode ()
const osg::Node * | getTopRightHandleNode () const
void | setBottomRightHandleNode (osg::Node &node)
osg::Node * | getBottomRightHandleNode ()
const osg::Node * | getBottomRightHandleNode () const
void | setTopLeftHandlePosition (const osg::Vec2d &pos)
const osg::Vec2d & | getTopLeftHandlePosition () const
void | setBottomLeftHandlePosition (const osg::Vec2d &pos)
const osg::Vec2d & | getBottomLeftHandlePosition () const
void | setTopRightHandlePosition (const osg::Vec2d &pos)
const osg::Vec2d & | getTopRightHandlePosition () const
void | setBottomRightHandlePosition (const osg::Vec2d &pos)
const osg::Vec2d & | getBottomRightHandlePosition () const
Public Member Functions inherited from osgManipulator::Dragger
| META_Node (osgManipulator, Dragger)
virtual void | setParentDragger (Dragger *parent)
Dragger * | getParentDragger ()
const Dragger * | getParentDragger () const
virtual const CompositeDragger * | getComposite () const
virtual CompositeDragger * | getComposite ()
void | setHandleEvents (bool flag)
bool | getHandleEvents () const
void | setActivationModKeyMask (unsigned int mask)
unsigned int | getActivationModKeyMask () const
void | setActivationMouseButtonMask (unsigned int mask)
unsigned int | getActivationMouseButtonMask () const
void | setActivationKeyEvent (int key)
int | getActivationKeyEvent () const
virtual void | traverse (osg::NodeVisitor &nv)
virtual bool | handle (const osgGA::GUIEventAdapter &ea, osgGA::GUIActionAdapter &aa)
virtual bool | handle (const PointerInfo &, const osgGA::GUIEventAdapter &, osgGA::GUIActionAdapter &)
void | addConstraint (Constraint *constraint)
template<class T>
void | addConstraint (const osg::ref_ptr< T > &c)
void | removeConstraint (Constraint *constraint)
template<class T>
void | removeConstraint (const osg::ref_ptr< T > &c)
Constraints & | getConstraints ()
const Constraints & | getConstraints () const
void | addDraggerCallback (DraggerCallback *dc)
template<class T>
void | addDraggerCallback (const osg::ref_ptr< T > &dc)
void | removeDraggerCallback (DraggerCallback *dc)
template<class T>
void | removeDraggerCallback (const osg::ref_ptr< T > &dc)
DraggerCallbacks & | getDraggerCallbacks ()
const DraggerCallbacks & | getDraggerCallbacks () const
void | addTransformUpdating (MatrixTransform *transform, int handleCommandMask=DraggerTransformCallback::HANDLE_ALL)
void | removeTransformUpdating (MatrixTransform *transform)
virtual bool | receive (const MotionCommand &command)
virtual void | dispatch (MotionCommand &command)
void | setDraggerActive (bool active)
bool | getDraggerActive () const
virtual void | setIntersectionMask (osg::Node::NodeMask intersectionMask)
osg::Node::NodeMask | getIntersectionMask () const
bool | inverted () const
void | applyAppropriateFrontFace (osg::StateSet *ss) const
Public Member Functions inherited from osg::MatrixTransform
| MatrixTransform ()
| MatrixTransform (const MatrixTransform &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| MatrixTransform (const Matrix &matix)
| META_Node (osg, MatrixTransform)
virtual MatrixTransform * | asMatrixTransform ()
virtual const MatrixTransform * | asMatrixTransform () const
void | setMatrix (const Matrix &mat)
const Matrix & | getMatrix () const
void | preMult (const Matrix &mat)
void | postMult (const Matrix &mat)
const Matrix & | getInverseMatrix () const
virtual bool | computeLocalToWorldMatrix (Matrix &matrix, NodeVisitor *) const
virtual bool | computeWorldToLocalMatrix (Matrix &matrix, NodeVisitor *) const
Public Member Functions inherited from osg::Transform
| Transform ()
| Transform (const Transform &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Transform)
virtual Transform * | asTransform ()
virtual const Transform * | asTransform () const
virtual PositionAttitudeTransform * | asPositionAttitudeTransform ()
virtual const PositionAttitudeTransform * | asPositionAttitudeTransform () const
virtual AutoTransform * | asAutoTransform ()
virtual const AutoTransform * | asAutoTransform () const
void | setReferenceFrame (ReferenceFrame rf)
ReferenceFrame | getReferenceFrame () const
virtual BoundingSphere | computeBound () const
Public Member Functions inherited from osg::Group
| Group ()
| Group (const Group &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Group)
virtual Group * | asGroup ()
virtual const Group * | asGroup () const
virtual bool | addChild (Node *child)
template<class T>
bool | addChild (const ref_ptr< T > &child)
virtual bool | insertChild (unsigned int index, Node *child)
template<class T>
bool | insertChild (unsigned int index, const ref_ptr< T > &child)
virtual bool | removeChild (Node *child)
template<class T>
bool | removeChild (const ref_ptr< T > &child)
bool | removeChild (unsigned int pos, unsigned int numChildrenToRemove=1)
virtual bool | removeChildren (unsigned int pos, unsigned int numChildrenToRemove)
virtual bool | replaceChild (Node *origChild, Node *newChild)
template<class T, class R>
bool | replaceChild (const ref_ptr< T > &origChild, const ref_ptr< R > &newChild)
virtual unsigned int | getNumChildren () const
virtual bool | setChild (unsigned int i, Node *node)
Node * | getChild (unsigned int i)
const Node * | getChild (unsigned int i) const
bool | containsNode (const Node *node) const
template<class T>
bool | containsNode (const ref_ptr< T > &node) const
unsigned int | getChildIndex (const Node *node) const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
virtual void | releaseGLObjects (osg::State *=0) const
Public Member Functions inherited from osg::Node
| Node ()
| Node (const Node &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const
virtual Object * | clone (const CopyOp &copyop) const
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Geometry * | asGeometry ()
virtual const Geometry * | asGeometry () const
virtual Switch * | asSwitch ()
virtual const Switch * | asSwitch () const
virtual Geode * | asGeode ()
virtual const Geode * | asGeode () const
virtual osgTerrain::Terrain * | asTerrain ()
virtual const osgTerrain::Terrain * | asTerrain () const
virtual void | accept (NodeVisitor &nv)
virtual void | ascend (NodeVisitor &nv)
const ParentList & | getParents () const
ParentList | getParents ()
Group * | getParent (unsigned int i)
const Group * | getParent (unsigned int i) const
unsigned int | getNumParents () const
NodePathList | getParentalNodePaths (osg::Node *haltTraversalAtNode=0) const
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setUpdateCallback (Callback *nc)
template<class T>
void | setUpdateCallback (const ref_ptr< T > &nc)
Callback * | getUpdateCallback ()
const Callback * | getUpdateCallback () const
void | addUpdateCallback (Callback *nc)
template<class T>
void | addUpdateCallback (const ref_ptr< T > &nc)
void | removeUpdateCallback (Callback *nc)
template<class T>
void | removeUpdateCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringUpdateTraversal () const
void | setEventCallback (Callback *nc)
template<class T>
void | setEventCallback (const ref_ptr< T > &nc)
Callback * | getEventCallback ()
const Callback * | getEventCallback () const
void | addEventCallback (Callback *nc)
template<class T>
void | addEventCallback (const ref_ptr< T > &nc)
void | removeEventCallback (Callback *nc)
template<class T>
void | removeEventCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringEventTraversal () const
void | setCullCallback (Callback *nc)
template<class T>
void | setCullCallback (const ref_ptr< T > &nc)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
void | addCullCallback (Callback *nc)
template<class T>
void | addCullCallback (const ref_ptr< T > &nc)
void | removeCullCallback (Callback *nc)
template<class T>
void | removeCullCallback (const ref_ptr< T > &nc)
void | setCullingActive (bool active)
bool | getCullingActive () const
unsigned int | getNumChildrenWithCullingDisabled () const
bool | isCullingActive () const
unsigned int | getNumChildrenWithOccluderNodes () const
bool | containsOccluderNodes () const
void | setNodeMask (NodeMask nm)
NodeMask | getNodeMask () const
void | setStateSet (osg::StateSet *stateset)
template<class T>
void | setStateSet (const osg::ref_ptr< T > &stateset)
osg::StateSet * | getOrCreateStateSet ()
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setDescriptions (const DescriptionList &descriptions)
DescriptionList & | getDescriptions ()
const DescriptionList & | getDescriptions () const
const std::string & | getDescription (unsigned int i) const
std::string & | getDescription (unsigned int i)
unsigned int | getNumDescriptions () const
void | addDescription (const std::string &desc)
void | setInitialBound (const osg::BoundingSphere &bsphere)
const BoundingSphere & | getInitialBound () const
void | dirtyBound ()
const BoundingSphere & | getBound () const
void | setComputeBoundingSphereCallback (ComputeBoundingSphereCallback *callback)
template<class T>
void | setComputeBoundingSphereCallback (const ref_ptr< T > &callback)
ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback ()
const ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

const osgGA::GUIEventAdapter & | ea
const osgGA::GUIEventAdapter osgGA::GUIActionAdapter & | us

## Protected Member Functions

virtual | ~Scale2DDragger ()
Protected Member Functions inherited from osgManipulator::Dragger
| Dragger ()
| Dragger (const Dragger &rhs, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual | ~Dragger ()
Protected Member Functions inherited from osg::MatrixTransform
virtual | ~MatrixTransform ()
Protected Member Functions inherited from osg::Transform
virtual | ~Transform ()
Protected Member Functions inherited from osg::Group
virtual | ~Group ()
virtual void | childRemoved (unsigned int, unsigned int)
virtual void | childInserted (unsigned int)
Protected Member Functions inherited from osg::Node
virtual | ~Node ()
void | addParent (osg::Group *parent)
void | removeParent (osg::Group *parent)
void | setNumChildrenRequiringUpdateTraversal (unsigned int num)
void | setNumChildrenRequiringEventTraversal (unsigned int num)
void | setNumChildrenWithCullingDisabled (unsigned int num)
void | setNumChildrenWithOccluderNodes (unsigned int num)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

osg::ref_ptr< PlaneProjector > | _projector
osg::Vec3d | _startProjectedPoint
osg::Vec2d | _scaleCenter
osg::Vec2d | _referencePoint
osg::Vec2d | _minScale
osg::ref_ptr< osg::Node > | _topLeftHandleNode
osg::ref_ptr< osg::Node > | _bottomLeftHandleNode
osg::ref_ptr< osg::Node > | _topRightHandleNode
osg::ref_ptr< osg::Node > | _bottomRightHandleNode
osg::Vec2d | _topLeftHandlePosition
osg::Vec2d | _bottomLeftHandlePosition
osg::Vec2d | _topRightHandlePosition
osg::Vec2d | _bottomRightHandlePosition
osg::Vec4 | _color
osg::Vec4 | _pickColor
ScaleMode | _scaleMode
Protected Attributes inherited from osgManipulator::Dragger
bool | _handleEvents
bool | _draggerActive
unsigned int | _activationModKeyMask
unsigned int | _activationMouseButtonMask
int | _activationKeyEvent
bool | _activationPermittedByModKeyMask
bool | _activationPermittedByMouseButtonMask
bool | _activationPermittedByKeyEvent
osgManipulator::PointerInfo | _pointer
Dragger * | _parentDragger
osg::ref_ptr< DraggerCallback > | _selfUpdater
Constraints | _constraints
DraggerCallbacks | _draggerCallbacks
osg::Node::NodeMask | _intersectionMask
Protected Attributes inherited from osg::MatrixTransform
Matrix | _matrix
Matrix | _inverse
bool | _inverseDirty
Protected Attributes inherited from osg::Transform
ReferenceFrame | _referenceFrame
Protected Attributes inherited from osg::Group
NodeList | _children
Protected Attributes inherited from osg::Node
BoundingSphere | _initialBound
ref_ptr< ComputeBoundingSphereCallback > | _computeBoundCallback
BoundingSphere | _boundingSphere
bool | _boundingSphereComputed
ParentList | _parents
ref_ptr< Callback > | _updateCallback
unsigned int | _numChildrenRequiringUpdateTraversal
ref_ptr< Callback > | _eventCallback
unsigned int | _numChildrenRequiringEventTraversal
ref_ptr< Callback > | _cullCallback
bool | _cullingActive
unsigned int | _numChildrenWithCullingDisabled
unsigned int | _numChildrenWithOccluderNodes
NodeMask | _nodeMask
ref_ptr< StateSet > | _stateset
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

Dragger for performing 2D scaling.

## Member Enumeration Documentation

## ScaleMode

enum osgManipulator::Scale2DDragger::ScaleMode

Enumerator
SCALE_WITH_ORIGIN_AS_PIVOT |
SCALE_WITH_OPPOSITE_HANDLE_AS_PIVOT |

## Constructor & Destructor Documentation

## Scale2DDragger()

osgManipulator::Scale2DDragger::Scale2DDragger | ( | ScaleMode | scaleMode = SCALE_WITH_ORIGIN_AS_PIVOT | ) |

References SCALE_WITH_ORIGIN_AS_PIVOT.

Referenced by META_OSGMANIPULATOR_Object().

## ~Scale2DDragger()

virtual osgManipulator::Scale2DDragger::~Scale2DDragger | ( |  | ) |

protected virtual

## Member Function Documentation

## getBottomLeftHandleNode() [1/2]

osg::Node * osgManipulator::Scale2DDragger::getBottomLeftHandleNode | ( |  | ) |

inline

References _bottomLeftHandleNode.

## getBottomLeftHandleNode() [2/2]

const osg::Node * osgManipulator::Scale2DDragger::getBottomLeftHandleNode | ( |  | ) | const

inline

References _bottomLeftHandleNode.

## getBottomLeftHandlePosition()

const osg::Vec2d & osgManipulator::Scale2DDragger::getBottomLeftHandlePosition | ( |  | ) | const

inline

References _bottomLeftHandlePosition.

## getBottomRightHandleNode() [1/2]

osg::Node * osgManipulator::Scale2DDragger::getBottomRightHandleNode | ( |  | ) |

inline

References _bottomRightHandleNode.

## getBottomRightHandleNode() [2/2]

const osg::Node * osgManipulator::Scale2DDragger::getBottomRightHandleNode | ( |  | ) | const

inline

References _bottomRightHandleNode.

## getBottomRightHandlePosition()

const osg::Vec2d & osgManipulator::Scale2DDragger::getBottomRightHandlePosition | ( |  | ) | const

inline

References _bottomRightHandlePosition.

## getColor()

const osg::Vec4 & osgManipulator::Scale2DDragger::getColor | ( |  | ) | const

inline

References _color.

## getMinScale()

const osg::Vec2d & osgManipulator::Scale2DDragger::getMinScale | ( |  | ) | const

inline

References _minScale.

## getPickColor()

const osg::Vec4 & osgManipulator::Scale2DDragger::getPickColor | ( |  | ) | const

inline

References _pickColor.

## getTopLeftHandleNode() [1/2]

osg::Node * osgManipulator::Scale2DDragger::getTopLeftHandleNode | ( |  | ) |

inline

References _topLeftHandleNode.

## getTopLeftHandleNode() [2/2]

const osg::Node * osgManipulator::Scale2DDragger::getTopLeftHandleNode | ( |  | ) | const

inline

References _topLeftHandleNode.

## getTopLeftHandlePosition()

const osg::Vec2d & osgManipulator::Scale2DDragger::getTopLeftHandlePosition | ( |  | ) | const

inline

References _topLeftHandlePosition.

## getTopRightHandleNode() [1/2]

osg::Node * osgManipulator::Scale2DDragger::getTopRightHandleNode | ( |  | ) |

inline

References _topRightHandleNode.

## getTopRightHandleNode() [2/2]

const osg::Node * osgManipulator::Scale2DDragger::getTopRightHandleNode | ( |  | ) | const

inline

References _topRightHandleNode.

## getTopRightHandlePosition()

const osg::Vec2d & osgManipulator::Scale2DDragger::getTopRightHandlePosition | ( |  | ) | const

inline

References _topRightHandlePosition.

## META_OSGMANIPULATOR_Object()

osgManipulator::Scale2DDragger::META_OSGMANIPULATOR_Object | ( | osgManipulator | ,
|  | Scale2DDragger | ) const &

Handle pick events on dragger and generate TranslateInLine commands.

References Scale2DDragger().

## setBottomLeftHandleNode()

void osgManipulator::Scale2DDragger::setBottomLeftHandleNode | ( | osg::Node & | node | ) |

inline

References _bottomLeftHandleNode.

## setBottomLeftHandlePosition()

void osgManipulator::Scale2DDragger::setBottomLeftHandlePosition | ( | const osg::Vec2d & | pos | ) |

inline

References _bottomLeftHandlePosition.

## setBottomRightHandleNode()

void osgManipulator::Scale2DDragger::setBottomRightHandleNode | ( | osg::Node & | node | ) |

inline

References _bottomRightHandleNode.

## setBottomRightHandlePosition()

void osgManipulator::Scale2DDragger::setBottomRightHandlePosition | ( | const osg::Vec2d & | pos | ) |

inline

References _bottomRightHandlePosition.

## setColor()

void osgManipulator::Scale2DDragger::setColor | ( | const osg::Vec4 & | color | ) |

inline

Set/Get color for dragger.

References _color, and osgManipulator::setMaterialColor().

## setMinScale()

void osgManipulator::Scale2DDragger::setMinScale | ( | const osg::Vec2d & | min | ) |

inline

Set/Get min scale for dragger.

References _minScale, and setMinScale().

Referenced by setMinScale().

## setPickColor()

void osgManipulator::Scale2DDragger::setPickColor | ( | const osg::Vec4 & | color | ) |

inline

Set/Get pick color for dragger. Pick color is color of the dragger when picked. It gives a visual feedback to show that the dragger has been picked.

References _pickColor.

## setTopLeftHandleNode()

void osgManipulator::Scale2DDragger::setTopLeftHandleNode | ( | osg::Node & | node | ) |

inline

Set/Get the handle nodes for dragger.

References _topLeftHandleNode.

## setTopLeftHandlePosition()

void osgManipulator::Scale2DDragger::setTopLeftHandlePosition | ( | const osg::Vec2d & | pos | ) |

inline

Set/Get the handle nodes position for dragger.

References _topLeftHandlePosition.

## setTopRightHandleNode()

void osgManipulator::Scale2DDragger::setTopRightHandleNode | ( | osg::Node & | node | ) |

inline

References _topRightHandleNode.

## setTopRightHandlePosition()

void osgManipulator::Scale2DDragger::setTopRightHandlePosition | ( | const osg::Vec2d & | pos | ) |

inline

References _topRightHandlePosition.

## setupDefaultGeometry()

void osgManipulator::Scale2DDragger::setupDefaultGeometry | ( |  | ) |

virtual

Setup default geometry for dragger.

Reimplemented from osgManipulator::Dragger.

References setupDefaultGeometry().

Referenced by setupDefaultGeometry().

## Member Data Documentation

## _bottomLeftHandleNode

osg::ref_ptr< osg::Node > osgManipulator::Scale2DDragger::_bottomLeftHandleNode

protected

Referenced by getBottomLeftHandleNode(), getBottomLeftHandleNode(), and setBottomLeftHandleNode().

## _bottomLeftHandlePosition

osg::Vec2d osgManipulator::Scale2DDragger::_bottomLeftHandlePosition

protected

Referenced by getBottomLeftHandlePosition(), and setBottomLeftHandlePosition().

## _bottomRightHandleNode

osg::ref_ptr< osg::Node > osgManipulator::Scale2DDragger::_bottomRightHandleNode

protected

Referenced by getBottomRightHandleNode(), getBottomRightHandleNode(), and setBottomRightHandleNode().

## _bottomRightHandlePosition

osg::Vec2d osgManipulator::Scale2DDragger::_bottomRightHandlePosition

protected

Referenced by getBottomRightHandlePosition(), and setBottomRightHandlePosition().

## _color

osg::Vec4 osgManipulator::Scale2DDragger::_color

protected

Referenced by getColor(), and setColor().

## _minScale

osg::Vec2d osgManipulator::Scale2DDragger::_minScale

protected

Referenced by getMinScale(), and setMinScale().

## _pickColor

osg::Vec4 osgManipulator::Scale2DDragger::_pickColor

protected

Referenced by getPickColor(), and setPickColor().

## _projector

osg::ref_ptr< PlaneProjector > osgManipulator::Scale2DDragger::_projector

protected

## _referencePoint

osg::Vec2d osgManipulator::Scale2DDragger::_referencePoint

protected

## _scaleCenter

osg::Vec2d osgManipulator::Scale2DDragger::_scaleCenter

protected

## _scaleMode

ScaleMode osgManipulator::Scale2DDragger::_scaleMode

protected

## _startProjectedPoint

osg::Vec3d osgManipulator::Scale2DDragger::_startProjectedPoint

protected

## _topLeftHandleNode

osg::ref_ptr< osg::Node > osgManipulator::Scale2DDragger::_topLeftHandleNode

protected

Referenced by getTopLeftHandleNode(), getTopLeftHandleNode(), and setTopLeftHandleNode().

## _topLeftHandlePosition

osg::Vec2d osgManipulator::Scale2DDragger::_topLeftHandlePosition

protected

Referenced by getTopLeftHandlePosition(), and setTopLeftHandlePosition().

## _topRightHandleNode

osg::ref_ptr< osg::Node > osgManipulator::Scale2DDragger::_topRightHandleNode

protected

Referenced by getTopRightHandleNode(), getTopRightHandleNode(), and setTopRightHandleNode().

## _topRightHandlePosition

osg::Vec2d osgManipulator::Scale2DDragger::_topRightHandlePosition

protected

Referenced by getTopRightHandlePosition(), and setTopRightHandlePosition().

## ea

const osgGA::GUIEventAdapter& osgManipulator::Scale2DDragger::ea

## us

const osgGA::GUIEventAdapter osgGA::GUIActionAdapter& osgManipulator::Scale2DDragger::us

The documentation for this class was generated from the following file:

- Scale2DDragger